using Turing.Model;

namespace TuringTestyJednostkowe
{
    [TestClass]
    public class TestyKlasyTaśma
    {
        [TestMethod]
        public void TestTaśma()
        {
            //arrange
            string _taśma = "PSK";
            char _stanGłowicy = 's';
            string zawartość = _taśma.Insert(2, _stanGłowicy.ToString());

            //act
            StanMaszyny stan = new StanMaszyny(zawartość);

            //asserty
            Assert.AreEqual(_taśma, stan.ToString());
            Assert.AreEqual(_stanGłowicy, stan.StanGłowicy);
        }

        [TestMethod]
        [ExpectedException(typeof(Exception))]
        public void TestTaśmaBłąd()
        {
            //arrange
            string _taśma = "P1SK";
            char _stanGłowicy = 's';
            string zawartość = _taśma.Insert(2, _stanGłowicy.ToString());

            //act
            StanMaszyny stan = new StanMaszyny(zawartość);
        }
    }
}